Groovy 1.7.0

## org.codehaus.groovy.tools.shell.commands
Class PurgeCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport
              org.codehaus.groovy.tools.shell.commands.PurgeCommand

    class PurgeCommand
    extends ComplexCommandSupport

The 'purge' command.

version:
  $Id: PurgeCommand.groovy 8449 2007-10-07 10:18:00Z user57 $

author:
  Jason Dillon

Property Summary
`def` | `do_classes`
`def` | `do_imports`
`def` | `do_preferences`
`def` | `do_variables`

Constructor Summary
`PurgeCommand(Shell shell)`

Method Summary

Methods inherited from class ComplexCommandSupport
createCompletors, executeFunction, loadFunction

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getHistory, getImports, getVariables

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### do_classes

    def do_classes

### do_imports

    def do_imports

### do_preferences

    def do_preferences

### do_variables

    def do_variables

Constructor Detail

### PurgeCommand

    public PurgeCommand(Shell shell)

Copyright © 2003-2009 The Codehaus. All rights reserved.